Subject: bug#17537: closed (Re: bug#17537: x-window-property doesn't work for most properties)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 24 May 2014 08:43:02 +0000

Your bug report

#17537: x-window-property doesn't work for most properties

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
17537: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=17537
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#17537: x-window-property doesn't work for most properties
From: Jan Djärv <[email-masked]>
To: Jeremy Maitin-Shepard <[email-masked]>
Cc: [email-masked], Andreas Schwab <[email-masked]>
Date: Sat, 24 May 2014 10:42:32 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi.

2014-05-21 17:42, Jan Djärv skrev:
>
> Another alternative is that x-window-property tries outer-id if inner-id gives
> nothing.

I implemented this in the trunk, closing bug.

	Jan D.

Subject: x-window-property doesn't work for most properties
From: Jeremy Maitin-Shepard <[email-masked]>
To: [email-masked]
Date: Tue, 20 May 2014 18:12:01 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

x-window-property seems to return nil for most properties.

(x-window-property "WM_HINTS")  -> returns non-nil

(x-window-property "WM_NAME") -> returns nil even though the property is
set (and displayed by xprop)

(x-window-property "_NET_WM_STATE") -> returns nil even though property is
set

In fact I haven't found any property I can read other than WM_HINTS.

I know this worked with previous version of Emacs.

Version:

GNU Emacs 24.3.1 (x86_64-unknown-linux-gnu, GTK+ Version 3.10.7) of
2014-01-28 on var-lib-archbuild-extra-x86_64-juergen